Get started

                API Endpoint
                https://mixia.org/apiDocs/v1/

                /api
                    /v1
                        /auth
                            getToken
                        /payments
                            c2p
                            transfer
                        /bank
                            balance
                            conciliation
                            bcv-rate
                        /invoices
                            create
                            fiscal-sync
            

The MixIA API provides programmatic access to read data from the database. Retrieve clients data, provide oauth connections, retrieve file doc, B2B (Fintech / ERP B2B), cryptographic tokens creation and IA proccess data. We response with jSON Format and our all methods must be in type POST.

To use this API, you need an API key. Please contact us at soporte@mixia.org to get your own API key.

get token


                    # Here is a curl example
                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getToken',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'token-id: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);
                    curl_close($curl);
                    echo $response;
                 
            

To get Token you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getToken



                Result example :

                {"status":1,
                 "message":"getToken",
                 "data":[{"token_server":"75911ae25b623408f158a4917dd21acb45ed03eb7480239ee8b584db94bb7420",
                          "expiration_time":"2026-05-22 19:08:43",
                          "registered":"2026-05-22 18:08:43"}
                        ]
                }
                

QUERY PARAMETERS

Field Type Description
api_key String Your API key. The token has 3600 seconds for request, in this time you can send any request that you need, but is recommend generate a new token pass one hour.

get C2P


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getC2P',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Allows your system to charge end-users directly by requesting their ID (Cédula), phone number, bank code, and the one-time OTP purchase token they receive via SMS. This is essential for automating instant retail and B2B checkouts:
https://mixia.org/apiDocs/v1/getC2P



                Result example :

                {
                    "status": 1,
                    "message": "getC2P",
                    "data": [
                        {
                            "idclient": "1",
                            "name": "Miguel1",
                            "lastname": "Garcia",
                            "gender": "0",
                            "birthdate": "1988-11-26",
                            "phone": "3310766890",
                            "email": "miguel.garcia324@gmail.com",
                            "cedula": "24312942",
                            "rif": "7256383883",
                            "address": "Caracas",
                            "registered": "2024-05-07 18:09:16"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find clients by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get transfer


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getTransfer',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Ideal for corporate operations. It connects to the bank's API to execute massive transfers to suppliers or automate payroll processing via structured batches:
https://mixia.org/apiDocs/v1/getTransfer



                Result example :

                {
                    "status": 1,
                    "message": "getTransfer",
                    "data": [
                        {
                            "idbnpl": "1",
                            "idclient": "2028",
                            "amount": "1200",
                            "interest": "0",
                            "balance": "1200",
                            "term": "3",
                            "initial": "0",
                            "discount": "0",
                            "totalbnpl": "1,200.00",
                            "tasa": null,
                            "registered": "2026-05-12 09:19:29",
                            "updated": null,
                            "statusbnpl": "1"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get invoices


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getInvoices',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Generates the client's invoice within your platform. It must automatically calculate the subtotal, standard VAT (16%), and the IGTF (Large Financial Transactions Tax - 3%) whenever a transaction is completed or settled in foreign currency (USD/EUR):
https://mixia.org/apiDocs/v1/getInvoices



                Result example :

                {
                    "status": 1,
                    "message": "getInvoices",
                    "data": [
                        {
                            "idpayment": "1",
                            "idbnpl": "1",
                            "payment": "400",
                            "expiration": "2026-05-26 00:00:00",
                            "statuspayment": "1",
                            "registered": "2026-05-12 09:19:29",
                            "updated": null,
                            "iduser": null,
                            "datepaid": null
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find payments in credits by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get bnpl


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getBNPL',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get BNPL (Buy Now Pay Later) Data you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getBNPL



                Result example :

                {
                    "status": 1,
                    "message": "getBNPL",
                    "data": [
                        {
                            "idbnpl": "1",
                            "idclient": "2028",
                            "amount": "1200",
                            "interest": "0",
                            "balance": "1200",
                            "term": "3",
                            "initial": "0",
                            "discount": "0",
                            "totalbnpl": "1,200.00",
                            "tasa": null,
                            "registered": "2026-05-12 09:19:29",
                            "updated": null,
                            "statusbnpl": "1"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get clients


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getClients',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get clients you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getClients



                Result example :

                {
                    "status": 1,
                    "message": "getClients",
                    "data": [
                        {
                            "idclient": "1",
                            "name": "Miguel",
                            "lastname": "Garcia",
                            "gender": "0",
                            "birthdate": "1988-11-26",
                            "phone": "3310766890",
                            "email": "miguel.garcia324@gmail.com",
                            "cedula": "24312942",
                            "rif": "7256383883",
                            "address": "Caracas",
                            "registered": "2024-05-07 18:09:16"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find clients by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get cards


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getCards',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS => '{
                            "search": 1
                            "iduser": "1"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get cards you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getCards



                Result example :

                {
                    "status": 1,
                    "message": "getCards",
                    "data": [
                        {
                            "iduser": "1",
                            "idcard": "1",
                            "tipo_de_registro": "01",
                            "tipo_de_archivo": "CC",
                            "codigo_de_asociado": "1234567890",
                            "codigo_de_banco": "1021",
                            "bin_de_tarjeta": "",
                            "codigo_de_producto": "1234567890",
                            "cantidad_de_registros": "100",
                            "filler": "",
                            "vector_de_rechazo": "",
                            "registeredby": "1",
                            "registered": "2024-10-09 15:41:45"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search Integer 0: Get All cards. 1: Search by cédula. 2: Search by card number
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get banks


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getBanks',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get banks you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getBanks



                Result example :

                {
                    "status": 1,
                    "message": "getBanks",
                    "data": [
                        {
                            "idbank": "1",
                            "codebank": "0156",
                            "bankname": "100% Banco, Banco Universal C.A."
                        },
                        {
                            "idbank": "2",
                            "codebank": "0172",
                            "bankname": "Bancamiga"
                        },
                        {
                            "idbank": "3",
                            "codebank": "0114",
                            "bankname": "BanCaribe"
                        },
                        {
                            "idbank": "4",
                            "codebank": "0171",
                            "bankname": "Banco Activo"
                        },
                        {
                            "idbank": "5",
                            "codebank": "0175",
                            "bankname": "Banco Digital de Trabajadores"
                        },
                        {
                            "idbank": "6",
                            "codebank": "0128",
                            "bankname": "Banco Caroní"
                        },
                        {
                            "idbank": "7",
                            "codebank": "0102",
                            "bankname": "Banco de Venezuela"
                        },
                        {
                            "idbank": "9",
                            "codebank": "0163",
                            "bankname": "Banco del Tesoro"
                        },
                        {
                            "idbank": "11",
                            "codebank": "0115",
                            "bankname": "Banco Exterior"
                        },
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get credits


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getCredits',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get credits you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getCredits



                Result example :

                {
                    "status": 1,
                    "message": "getCredits",
                    "data": [
                        {
                            "idloan": "1",
                            "iduser": "1",
                            "amount": "100",
                            "balance": "105",
                            "term": "3",
                            "typeinitial": "",
                            "initial": "60",
                            "discount": "0",
                            "totalcredit": "100",
                            "tasa": null,
                            "registered": "2024-10-09 15:41:45",
                            "status": "1"
                        },
                        {
                            "idloan": "2",
                            "iduser": "72",
                            "amount": "100",
                            "balance": "110",
                            "term": "6",
                            "typeinitial": "",
                            "initial": "60",
                            "discount": "0",
                            "totalcredit": "",
                            "tasa": null,
                            "registered": "2024-11-23 15:41:01",
                            "status": "0"
                        },
                        {
                            "idloan": "3",
                            "iduser": "73",
                            "amount": "150",
                            "balance": "157.5",
                            "term": "6",
                            "typeinitial": "",
                            "initial": "60",
                            "discount": "0",
                            "totalcredit": "",
                            "tasa": null,
                            "registered": "2024-11-23 16:02:13",
                            "status": "4"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get sales products


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getSalesProducts',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get sales products you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getSalesProducts



                Result example :

                {
                    "status": 1,
                    "message": "getSalesProducts",
                    "data": [
                        {
                            "idloanproduct": "1",
                            "idloan": "104",
                            "idproductlote": "132",
                            "statusloanproduct": "1",
                            "iduser": "0",
                            "registered": "2025-11-07 23:22:26"
                        },
                        {
                            "idloanproduct": "17",
                            "idloan": "127",
                            "idproductlote": "135",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 16:38:12"
                        },
                        {
                            "idloanproduct": "20",
                            "idloan": "130",
                            "idproductlote": "135",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 17:15:39"
                        },
                        {
                            "idloanproduct": "21",
                            "idloan": "131",
                            "idproductlote": "132",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 17:17:36"
                        },
                        {
                            "idloanproduct": "22",
                            "idloan": "132",
                            "idproductlote": "132",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 17:34:40"
                        },
                        {
                            "idloanproduct": "23",
                            "idloan": "132",
                            "idproductlote": "131",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 17:35:50"
                        },
                        {
                            "idloanproduct": "24",
                            "idloan": "133",
                            "idproductlote": "131",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 17:45:07"
                        },
                        {
                            "idloanproduct": "25",
                            "idloan": "133",
                            "idproductlote": "879",
                            "statusloanproduct": "1",
                            "iduser": "19",
                            "registered": "2025-11-10 18:05:26"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get date payments


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getDatePayments',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get date payments you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getDatePayments



                Result example :

                {
                    "status": 1,
                    "message": "getDatePayments",
                    "data": [
                        {
                            "idpayment": "1",
                            "idloan": "1",
                            "payment": "35",
                            "expiration": "2024-10-24 07:00:00",
                            "status": "4",
                            "registered": "2024-10-09 15:41:45",
                            "updated": "2025-05-08 12:12:18"
                        },
                        {
                            "idpayment": "2",
                            "idloan": "1",
                            "payment": "35",
                            "expiration": "2024-11-08 07:00:00",
                            "status": "2",
                            "registered": "2024-10-09 15:41:45",
                            "updated": null
                        },
                        {
                            "idpayment": "3",
                            "idloan": "1",
                            "payment": "35",
                            "expiration": "2024-11-23 07:00:00",
                            "status": "1",
                            "registered": "2024-10-09 15:41:45",
                            "updated": null
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find payments in credits by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get stocks


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getStocks',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get stocks you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getStocks



                Result example :

                {
                    "status": 1,
                    "message": "getStocks",
                    "data": [
                        {
                            "idproduct": "1",
                            "descripcion": "PRUEBA DE GRIFO 1",
                            "sku": "DASDA231234",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "5",
                            "imageproduct": "products/images/imageproduct_89_20250822183751.jpg",
                            "statusproduct": "1",
                            "registered": "2025-08-22 18:38:08"
                        },
                        {
                            "idproduct": "2",
                            "descripcion": "A1 MAX",
                            "sku": "123",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "2",
                            "imageproduct": "products/images/imageproduct_12_20250909191101.jpeg",
                            "statusproduct": "2",
                            "registered": "2025-09-09 19:17:51"
                        },
                        {
                            "idproduct": "3",
                            "descripcion": "LICRA AJUSTABLE",
                            "sku": "W2456345YGF",
                            "marca": "LILI",
                            "modelo": "PINK",
                            "ram": "",
                            "memoria": "",
                            "categoria": "8",
                            "imageproduct": "products/images/imageproduct_22_20250920182237.jpg",
                            "statusproduct": "1",
                            "registered": "2025-09-20 18:23:03"
                        },
                        {
                            "idproduct": "4",
                            "descripcion": "HOLA",
                            "sku": "HJHJHJ",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "3",
                            "imageproduct": "products/images/imageproduct_69_20250927151838.jfif",
                            "statusproduct": "4",
                            "registered": "2025-09-27 15:19:54"
                        },
                        {
                            "idproduct": "5",
                            "descripcion": "PRUEBA",
                            "sku": "10",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "5",
                            "imageproduct": "products/images/imageproduct_54_20251004112810.jfif",
                            "statusproduct": "4",
                            "registered": "2025-10-04 11:29:59"
                        },
                        {
                            "idproduct": "6",
                            "descripcion": "PRUEBA",
                            "sku": "15",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "3",
                            "imageproduct": "products/images/imageproduct_2_20251007143006.jfif",
                            "statusproduct": "4",
                            "registered": "2025-10-07 14:31:49"
                        },
                        {
                            "idproduct": "7",
                            "descripcion": "PRUEBA",
                            "sku": "10",
                            "marca": "PRUEBA",
                            "modelo": "PRUEBA",
                            "ram": "",
                            "memoria": "",
                            "categoria": "1",
                            "imageproduct": "products/images/imageproduct_84_20251008153439.jpg",
                            "statusproduct": "4",
                            "registered": "2025-10-08 15:35:24"
                        },
                        {
                            "idproduct": "8",
                            "descripcion": "PRUEBA DE EQUIPO 001",
                            "sku": "22313132",
                            "marca": "",
                            "modelo": "",
                            "ram": "",
                            "memoria": "",
                            "categoria": "5",
                            "imageproduct": "products/images/imageproduct_62_20251008172913.jpeg",
                            "statusproduct": "4",
                            "registered": "2025-10-08 17:29:42"
                        },
                        {
                            "idproduct": "9",
                            "descripcion": "TEST1",
                            "sku": "78980",
                            "marca": "TEST2",
                            "modelo": "TEST3",
                            "ram": "",
                            "memoria": "",
                            "categoria": "1",
                            "imageproduct": "",
                            "statusproduct": "1",
                            "registered": "2025-10-09 10:20:51"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find products by name or SKU.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get score data


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getScoreData',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To get score you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/getScoreData



                Result example :

                {
                    "status": 1,
                    "message": "getScoreData",
                    "data": [
                        {
                            "iduser": "1",
                            "score": "3"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find products by name or SKU.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Post Generate Quote


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postGenerateQuote',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS =>'{
                            "amount": "100",
                            "interes": "0",
                            "term": "6",
                            "typeinitial": "%",
                            "initial": "0",
                            "discount": "0",
                            "startdate": "2026-04-30"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To generate a quote you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/postGenerateQuote
The value 0 in numberquote is the initial if exists.



                Result example :

                {
                    "status": 1,
                    "message": "postGenerateQuote",
                    "data": {
                        "idquote": 7,
                        "amount": 100,
                        "interest": 0,
                        "balance": 100,
                        "term": "6",
                        "typeinitial": "%",
                        "initial": "40",
                        "discount": 0,
                        "startdate": "2026-04-30",
                        "totalcredit": "60",
                        "tasa": "477.1488",
                        "registered": "2026-04-29 07:51:28",
                        "quotes": [
                            {
                                "numberquote": 0,
                                "payment": 40,
                                "expiration": "2026-04-29 07:51:28"
                            },
                            {
                                "numberquote": 1,
                                "payment": 10,
                                "expiration": "2026-05-14 00:00:00"
                            },
                            {
                                "numberquote": 2,
                                "payment": 10,
                                "expiration": "2026-05-29 00:00:00"
                            },
                            {
                                "numberquote": 3,
                                "payment": 10,
                                "expiration": "2026-06-13 00:00:00"
                            },
                            {
                                "numberquote": 4,
                                "payment": 10,
                                "expiration": "2026-06-28 00:00:00"
                            },
                            {
                                "numberquote": 5,
                                "payment": 10,
                                "expiration": "2026-07-13 00:00:00"
                            },
                            {
                                "numberquote": 6,
                                "payment": 10,
                                "expiration": "2026-07-28 00:00:00"
                            }
                        ]
                    }
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
rawData Array Data Example on screen.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Post Invoice Details


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postInvoiceDetail',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS =>'{
                            "idloan": "1",
                            "idproduct": "123",
                            "product_name": "TV SMART TV DAMASCO 50 PULGADAS",
                            "product_sku": "TVUJKSD8273",
                            "product_price": "980.70",
                            "quantity": "1",
                            "invoice_number": "13782"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To generate a invoice detail you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/postInvoiceDetail



                Result example :

                {
                    "status": 1,
                    "message": "postInvoiceDetail",
                    "data": {
                        
                    }
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
rawData Array Data Example on screen.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Post Load Payment


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postLoadPayment',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS =>'{
                            "idpayment": "1234",
                            "paidform": "1",
                            "paidcurrency": "1",
                            "ratecurrency": "450",
                            "paidamount": "100",
                            "bank": "0134",
                            "phone": "318224606",
                            "bankreceptor": "0112",
                            "phonereceptor": "04242556372",
                            "datetransaction": "2025-05-01",
                            "referencenumber": "1234567890",
                            "paidstatus": "1",
                            "paidobservation": "TEST",
                            "imgcapture": "http://mixia.org/apiDocs/v1/uploads/payment_20260215180512.jpeg"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To load payment you need to make a POST call to the following url :
https://mixia.org/apiDocs/v1/postLoadPayment
The value 0 in numberquote is the initial if exists.



                Result example :

                {
                    "status": 1,
                    "message": "postLoadPayment",
                    "data": {
                        "idquote": 7,
                        "amount": 100,
                        "interest": 0,
                        "balance": 100,
                        "term": "6",
                        "typeinitial": "%",
                        "initial": "40",
                        "discount": 0,
                        "startdate": "2026-04-30",
                        "totalcredit": "60",
                        "tasa": "477.1488",
                        "registered": "2026-04-29 07:51:28",
                        "quotes": [
                            {
                                "numberquote": 0,
                                "payment": 40,
                                "expiration": "2026-04-29 07:51:28"
                            },
                            {
                                "numberquote": 1,
                                "payment": 10,
                                "expiration": "2026-05-14 00:00:00"
                            },
                            {
                                "numberquote": 2,
                                "payment": 10,
                                "expiration": "2026-05-29 00:00:00"
                            },
                            {
                                "numberquote": 3,
                                "payment": 10,
                                "expiration": "2026-06-13 00:00:00"
                            },
                            {
                                "numberquote": 4,
                                "payment": 10,
                                "expiration": "2026-06-28 00:00:00"
                            },
                            {
                                "numberquote": 5,
                                "payment": 10,
                                "expiration": "2026-07-13 00:00:00"
                            },
                            {
                                "numberquote": 6,
                                "payment": 10,
                                "expiration": "2026-07-28 00:00:00"
                            }
                        ]
                    }
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
paidform Int 1: Efectivo | 2: Pago Movil | 3: Transferencia | 4: Depósito Efectivo | 8: Tarjeta Débito | 9: Tarjeta Crédito | 10: Otros
paidcurrency Int 1: Bs | 2: USD
ratecurrency string Tax for transaction
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get balance


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getBalance',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Pulls real-time information regarding available and escrow/blocked balances across all integrated Venezuelan corporate bank accounts (e.g., Mercantil, Banesco, Venezuela, Provincial):
https://mixia.org/apiDocs/v1/getBalance



                Result example :

                {
                    "status": 1,
                    "message": "getBalance",
                    "data": [
                        "Client enrolled with id: 2027"
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find products by name or SKU.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get automated matching


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getAutomatedMatch',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Automatically ingests daily bank statements or transaction rumbles to cross-reference reference numbers of received bank transfers and Pagos Móviles against unpaid invoices in your system's database:
https://mixia.org/apiDocs/v1/getAutomatedMatch



                Result example :

                {
                    "status": 1,
                    "message": "getAutomatedMatch",
                    "data": {
                        "idbnpldetail": "1",
                        "idbnpl": "1",
                        "product": "TV SMART 50 PULGADAS SAMSUNG",
                        "quantity": "1",
                        "price": "800.56",
                        "total": "800.56",
                        "status": "1",
                        "registered": "2026-05-18 10:25:10"
                    }
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
rawData Array Data Example on screen.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

get bcv rate


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/getBCVRate',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

A cron-job script or webhook that fetches the official daily exchange rate from the Central Bank of Venezuela (BCV), keeping multi-currency conversion tables fully synchronized across your system:
https://mixia.org/apiDocs/v1/getBCVRate



                Result example :

                {
                    "status": 1,
                    "message": "getBCVRate",
                    "data": {
                        "idbnpldetail": "1",
                        "idbnpl": "1",
                        "product": "TV SMART 50 PULGADAS SAMSUNG",
                        "quantity": "1",
                        "price": "800.56",
                        "total": "800.56",
                        "status": "1",
                        "registered": "2026-05-18 10:25:10"
                    }
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
rawData Array Data Example on screen.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Post Enroll Client


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postEnrollClient',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS =>'{
                            "name": "MIKE",
                            "lastname": "WASAUSKY",
                            "birthdate": "1988-11-26",
                            "gender": "1",
                            "phone": "3318224606",
                            "email": "mikewasausky@mounsterinc.corp",
                            "cedula": "21311823",
                            "address": "Caracas venezuela",
                            "recordscore": "0"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Captures preliminary registration data for individuals or companies (RIF, ID/Cédula, email, and phone number):
https://mixia.org/apiDocs/v1/postEnrollClient



                Result example :

                {
                    "status": 1,
                    "message": "postEnrollClient",
                    "data": [
                        "Client enrolled with id: 2027"
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find products by name or SKU.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Post Validate Cedula String


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postValidateCedulaString',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS => '{
                            "cedula": "12345678"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To validate a cedula string you need to make a POST FILE call to the following url :
https://mixia.org/apiDocs/v1/postValidateCedulaString



                Result example :

                {
                    "status": 1,
                    "message": "postValidateCedulaString",
                    "data": [
                        {
                            "nacionalidad": "V",
                            "cedula": 24312942,
                            "fecha_nac": "1988-11-26",
                            "rif": "V243129423",
                            "cne": {
                                "estado": "DTTO. CAPITAL",
                                "municipio": "LIBERTADOR",
                                "parroquia": "SUCRE",
                                "centro_electoral": "LICEO BOLIVARIANO MIGUEL ANTONIO CARO"
                            },
                            "primer_apellido": "GARCIA",
                            "segundo_apellido": "CARO",
                            "primer_nombre": "MIGUEL",
                            "segundo_nombre": "ANTONIO",
                            "request_date": "2026-04-18T13:37:22.503Z"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
cedula string A string with the id cedula number.

Post IA Validate Cedula Image


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postValidateCedula',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS => array('image'=> new CURLFILE('yourlocalurlfilepost../imagecedula.png')),
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To validate a cedula image you need to make a POST FILE call to the following url :
https://mixia.org/apiDocs/v1/postValidateCedula



                Result example :

                {
                    "status": 1,
                    "message": "postValidateCedula",
                    "data": [
                        {
                            "nacionalidad": "V",
                            "cedula": 24312942,
                            "fecha_nac": "1988-11-26",
                            "rif": "V243129423",
                            "cne": {
                                "estado": "DTTO. CAPITAL",
                                "municipio": "LIBERTADOR",
                                "parroquia": "SUCRE",
                                "centro_electoral": "LICEO BOLIVARIANO MIGUEL ANTONIO CARO"
                            },
                            "primer_apellido": "GARCIA",
                            "segundo_apellido": "CARO",
                            "primer_nombre": "MIGUEL",
                            "segundo_nombre": "ANTONIO",
                            "request_date": "2026-04-18T13:37:22.503Z"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
image file A post file method from a form or a upload file.

Post IA Validate Payment Image


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postValidatePaymentImage',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS => array('image'=> new CURLFILE('yourlocalurlfilepost../imagepayment.png')),
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

To validate a payment image you need to make a POST FILE call to the following url :
https://mixia.org/apiDocs/v1/postValidatePaymentImage



                Result example :

                {
                    "status": 1,
                    "message": "postValidatePaymentImage",
                    "data": [
                        {
                            "urlimage": "https://mixia.org/apiDocs/v1/uploads/yourpaymentimage.jpeg",
                            "textimage": "YOUR DATA ARRAY IN IMAGE"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
image file A post file method from a form or a upload file.

Post Open Account


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/postOpenAccount',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS =>'{
                            "name": "MIKE",
                            "lastname": "WASAUSKY",
                            "birthdate": "1988-11-26",
                            "gender": "1",
                            "phone": "3318224606",
                            "email": "mikewasausky@mounsterinc.corp",
                            "cedula": "21311823",
                            "address": "Caracas venezuela",
                            "recordscore": "0"
                        }',
                        CURLOPT_HTTPHEADER => array(
                            'Content-Type: application/json',
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Once Enroll Client is approved, this method communicates with the external banking core to assign a checking account, a foreign currency custody account, or an internal virtual ledger ID for transacting:
https://mixia.org/apiDocs/v1/postOpenAccount



                Result example :

                {
                    "status": 1,
                    "message": "postOpenAccount",
                    "data": [
                        "Client enrolled with id: 2027"
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find products by name or SKU.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

post corporate-sign


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/corporate-sign',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

In B2B environments, high-value transfers are rarely executed by a single token. This endpoint collects cryptographic digital approvals from multiple company officers (e.g., Finance Manager and Director) before releasing the funds to the bank:
https://mixia.org/apiDocs/v1/corporate-sign



                Result example :

                {
                    "status": 1,
                    "message": "corporate-sign",
                    "data": [
                        {
                            "idbnpl": "1",
                            "idclient": "2028",
                            "amount": "1200",
                            "interest": "0",
                            "balance": "1200",
                            "term": "3",
                            "initial": "0",
                            "discount": "0",
                            "totalbnpl": "1,200.00",
                            "tasa": null,
                            "registered": "2026-05-12 09:19:29",
                            "updated": null,
                            "statusbnpl": "1"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

post transactions


                    # Here is a curl example
                    $curl = curl_init();

                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://mixia.org/apiDocs/v1/transactions',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: ••••••'
                        ),
                    ));

                    $response = curl_exec($curl);

                    curl_close($curl);
                    echo $response;
                 
            

Queries a specialized audit table (similar to your mun_trac_api but ideally hash-signed) to export detailed reports for SUDEBAN or SENIAT inspections, tracking origin IPs, session tokens, response times, and unique transaction hashes:
https://mixia.org/apiDocs/v1/transactions



                Result example :

                {
                    "status": 1,
                    "message": "transactions",
                    "data": [
                        {
                            "idbnpl": "1",
                            "idclient": "2028",
                            "amount": "1200",
                            "interest": "0",
                            "balance": "1200",
                            "term": "3",
                            "initial": "0",
                            "discount": "0",
                            "totalbnpl": "1,200.00",
                            "tasa": null,
                            "registered": "2026-05-12 09:19:29",
                            "updated": null,
                            "statusbnpl": "1"
                        }
                    ]
                }
                

QUERY PARAMETERS

Field Type Description
Bearer Token String The authorization string is a header and you can generate sending the getToken request. If token is expired you´ll see in json response.
search String (optional) A search word to find credit by name or cedula.
offset Integer (optional - default: 0) A cursor for use in pagination. Pagination starts offset the specified offset.
limit Integer (optional - default: 10) A limit on the number of objects to be returned, between 1 and 100.

Errors

The MixIA API uses the following error codes:

Error Code Meaning
X000 Some parameters are missing. This error appears when you don't pass every mandatory parameters.
X001 Unknown or unvalid api_key. This error appears if you use an unknow API key or if your API key expired.
X002 Unvalid token_key for this domain. This error appears if you use an API key non specified for your domain. Developper or Universal API keys doesn't have domain checker.
X003 Unknown or unvalid user token. This error appears if you use an unknow user token or if the user token expired.